Package org.apache.tools.ant.property

# Interface PropertyExpander

All Superinterfaces:
  `PropertyHelper.Delegate`

public interface PropertyExpander extends PropertyHelper.Delegate
Responsible for locating a property reference inside a String.

Since:
  Ant 1.8.0

## Method Summary

Modifier and Type
Method
Description
`String`
`parsePropertyName(String s, ParsePosition pos, ParseNextProperty parseNextProperty)`
Determine whether there is a property reference at the current ParsePosition and return its name (or null if there is none).

## Method Details

### parsePropertyName

String parsePropertyName(String s, ParsePosition pos, ParseNextProperty parseNextProperty)
Determine whether there is a property reference at the current ParsePosition and return its name (or null if there is none).

Implementations should advance the ParsePosition to the last character that makes up the property reference. E.g. the default implementation would return `"foo"` for `${foo}` and advance the ParsePosition to the `}` character.

Parameters:
  `s` - the String to parse.
  `pos` - the ParsePosition in use, the location is expected to be modified if a property reference has been found (and may even be modified if no reference has been found).
  `parseNextProperty` - provides access to the Project and may be used to look up property values.
Returns:
  property name if any, else `null`.